Skip to content
Start here

Add a participant

realtime_kit.meetings.add_participant(strmeeting_id, MeetingAddParticipantParams**kwargs) -> MeetingAddParticipantResponse
POST/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants

Adds a participant to the given meeting ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
app_id: str

The app identifier tag.

maxLength32
meeting_id: str
formatuuid
custom_participant_id: str

A unique participant ID. You must specify a unique ID for the participant, for example, UUID, email address, and so on.

preset_name: str

Name of the preset to apply to this participant.

name: Optional[str]

(Optional) Name of the participant.

picture: Optional[str]

(Optional) A URL to a picture to be used for the participant.

formaturi
ReturnsExpand Collapse
class MeetingAddParticipantResponse:
success: bool

Success status of the operation

data: Optional[Data]

Represents a participant.

id: str

ID of the participant.

formatuuid
token: str

The participant's auth token that can be used for joining a meeting from the client side.

created_at: datetime

When this object was created. The time is returned in ISO format.

formatdate-time
custom_participant_id: str

A unique participant ID generated by the client.

preset_name: str

Preset applied to the participant.

updated_at: datetime

When this object was updated. The time is returned in ISO format.

formatdate-time
name: Optional[str]

Name of the participant.

picture: Optional[str]

URL to a picture of the participant.

formaturi

Add a participant

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.meetings.add_participant(
    meeting_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    app_id="app_id",
    custom_participant_id="custom_participant_id",
    preset_name="preset_name",
)
print(response.success)
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "token": "token",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  }
}
Returns Examples
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "token": "token",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  }
}